#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

with open("sodapy/version.py") as f:
    exec(f.read())

with open('README.md') as f:
    long_description = f.read()

with open('requirements.txt') as requirements:
    required = requirements.read().splitlines()

kwargs = {
    "name": "sodapy",
    "version": str(__version__),
    "packages": ["sodapy"],
    "description": "Python library for the Socrata Open Data API",
    "long_description": long_description,
    "long_description_content_type": 'text/markdown',
    "author": "Cristina Muñoz",
    "maintainer": "Cristina Muñoz",
    "author_email": "hi@xmunoz.com",
    "maintainer_email": "hi@xmunoz.com",
    "license": "MIT",
    "install_requires": required,
    "url": "https://github.com/xmunoz/sodapy",
    "download_url": "https://github.com/xmunoz/sodapy/archive/master.tar.gz",
    "keywords": "soda socrata opendata api",
    "classifiers": [
        "Programming Language :: Python",
        "Topic :: Software Development",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ]
}

setup(**kwargs)
